Loading...
Searching...
No Matches
vkd3d_shader_macro Struct Reference

A single preprocessor macro, passed as part of struct vkd3d_shader_preprocess_info. More...

`#include <vkd3d_shader.h>`

## Data Fields

const char * | name
| Pointer to a null-terminated string containing the name of a macro.
const char * | value
| Optional pointer to a null-terminated string containing the expansion of the macro.

## Detailed Description

A single preprocessor macro, passed as part of struct vkd3d_shader_preprocess_info.

## Field Documentation

## name

const char* vkd3d_shader_macro::name

Pointer to a null-terminated string containing the name of a macro.

This macro must not be a parameterized (i.e. function-like) macro. If this field is not a valid macro identifier, this macro will be ignored.

## value

const char* vkd3d_shader_macro::value

Optional pointer to a null-terminated string containing the expansion of the macro.

This field may be set to NULL, in which case the macro has an empty expansion.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h